package swing.podstawy;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JFrame;
import javax.swing.JLabel;

public class Okno2 {

	public static void main(String[] args) {
		JFrame frame = new JFrame("Nasza apka");
		frame.setSize(600, 400);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		// Układ okna i wygląd komponentów w 100% opisuje się w języku Java.
		// Treść oraz ustawienia wyglądu ustawia się za pomocą setterów.
		JLabel label1 = new JLabel("Hello world");
		label1.setHorizontalAlignment(JLabel.CENTER);
		// label1.setVerticalAlignment(JLabel.TOP);
		label1.setFont(new Font("Arial", Font.BOLD, 40));
		label1.setForeground(Color.BLUE);
		label1.setOpaque(true);
		label1.setBackground(Color.YELLOW);
		// przy okazji widzimy, że label zajął całe wnętrze okna
		frame.add(label1);
		
		frame.setVisible(true);
	}

}
